IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/36
Addresses2^92
/64 networks268,435,456
- Network
fc0e:d006::/36- First address
fc0e:d006::- Last address
fc0e:d006:fff:ffff:ffff:ffff:ffff:ffff- Addresses
- 4,951,760,157,141,521,099,596,496,896 (2^92)
- /64 networks (LANs)
- 268,435,456
- Full form
fc0e:d006:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
0.6.0.0.d.e.0.c.f.ip6.arpa
Split into smaller subnets
fc0e:d006::/36 makes 256 subnets of /44.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc0e:d006::/44 | fc0e:d006:f:ffff:ffff:ffff:ffff:ffff |
| 2 | fc0e:d006:10::/44 | fc0e:d006:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | fc0e:d006:20::/44 | fc0e:d006:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | fc0e:d006:30::/44 | fc0e:d006:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | fc0e:d006:40::/44 | fc0e:d006:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | fc0e:d006:50::/44 | fc0e:d006:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | fc0e:d006:60::/44 | fc0e:d006:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | fc0e:d006:70::/44 | fc0e:d006:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | fc0e:d006:80::/44 | fc0e:d006:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | fc0e:d006:90::/44 | fc0e:d006:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | fc0e:d006:a0::/44 | fc0e:d006:af:ffff:ffff:ffff:ffff:ffff |
| 12 | fc0e:d006:b0::/44 | fc0e:d006:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | fc0e:d006:c0::/44 | fc0e:d006:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | fc0e:d006:d0::/44 | fc0e:d006:df:ffff:ffff:ffff:ffff:ffff |
| 15 | fc0e:d006:e0::/44 | fc0e:d006:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | fc0e:d006:f0::/44 | fc0e:d006:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc0e:d006:100::/44 | fc0e:d006:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | fc0e:d006:110::/44 | fc0e:d006:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | fc0e:d006:120::/44 | fc0e:d006:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | fc0e:d006:130::/44 | fc0e:d006:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | fc0e:d006:140::/44 | fc0e:d006:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | fc0e:d006:150::/44 | fc0e:d006:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | fc0e:d006:160::/44 | fc0e:d006:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | fc0e:d006:170::/44 | fc0e:d006:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | fc0e:d006:180::/44 | fc0e:d006:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | fc0e:d006:190::/44 | fc0e:d006:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | fc0e:d006:1a0::/44 | fc0e:d006:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | fc0e:d006:1b0::/44 | fc0e:d006:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | fc0e:d006:1c0::/44 | fc0e:d006:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | fc0e:d006:1d0::/44 | fc0e:d006:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | fc0e:d006:1e0::/44 | fc0e:d006:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | fc0e:d006:1f0::/44 | fc0e:d006:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc0e:d006:200::/44 | fc0e:d006:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | fc0e:d006:210::/44 | fc0e:d006:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | fc0e:d006:220::/44 | fc0e:d006:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | fc0e:d006:230::/44 | fc0e:d006:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | fc0e:d006:240::/44 | fc0e:d006:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | fc0e:d006:250::/44 | fc0e:d006:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | fc0e:d006:260::/44 | fc0e:d006:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | fc0e:d006:270::/44 | fc0e:d006:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | fc0e:d006:280::/44 | fc0e:d006:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | fc0e:d006:290::/44 | fc0e:d006:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | fc0e:d006:2a0::/44 | fc0e:d006:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | fc0e:d006:2b0::/44 | fc0e:d006:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | fc0e:d006:2c0::/44 | fc0e:d006:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | fc0e:d006:2d0::/44 | fc0e:d006:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | fc0e:d006:2e0::/44 | fc0e:d006:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | fc0e:d006:2f0::/44 | fc0e:d006:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc0e:d006:300::/44 | fc0e:d006:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | fc0e:d006:310::/44 | fc0e:d006:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | fc0e:d006:320::/44 | fc0e:d006:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | fc0e:d006:330::/44 | fc0e:d006:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | fc0e:d006:340::/44 | fc0e:d006:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | fc0e:d006:350::/44 | fc0e:d006:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | fc0e:d006:360::/44 | fc0e:d006:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | fc0e:d006:370::/44 | fc0e:d006:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | fc0e:d006:380::/44 | fc0e:d006:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | fc0e:d006:390::/44 | fc0e:d006:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | fc0e:d006:3a0::/44 | fc0e:d006:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | fc0e:d006:3b0::/44 | fc0e:d006:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | fc0e:d006:3c0::/44 | fc0e:d006:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | fc0e:d006:3d0::/44 | fc0e:d006:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | fc0e:d006:3e0::/44 | fc0e:d006:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | fc0e:d006:3f0::/44 | fc0e:d006:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc0e:d006:400::/44 | fc0e:d006:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | fc0e:d006:410::/44 | fc0e:d006:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | fc0e:d006:420::/44 | fc0e:d006:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | fc0e:d006:430::/44 | fc0e:d006:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | fc0e:d006:440::/44 | fc0e:d006:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | fc0e:d006:450::/44 | fc0e:d006:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | fc0e:d006:460::/44 | fc0e:d006:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | fc0e:d006:470::/44 | fc0e:d006:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | fc0e:d006:480::/44 | fc0e:d006:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | fc0e:d006:490::/44 | fc0e:d006:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | fc0e:d006:4a0::/44 | fc0e:d006:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | fc0e:d006:4b0::/44 | fc0e:d006:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | fc0e:d006:4c0::/44 | fc0e:d006:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | fc0e:d006:4d0::/44 | fc0e:d006:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | fc0e:d006:4e0::/44 | fc0e:d006:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | fc0e:d006:4f0::/44 | fc0e:d006:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc0e:d006:500::/44 | fc0e:d006:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | fc0e:d006:510::/44 | fc0e:d006:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | fc0e:d006:520::/44 | fc0e:d006:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | fc0e:d006:530::/44 | fc0e:d006:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | fc0e:d006:540::/44 | fc0e:d006:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | fc0e:d006:550::/44 | fc0e:d006:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | fc0e:d006:560::/44 | fc0e:d006:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | fc0e:d006:570::/44 | fc0e:d006:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | fc0e:d006:580::/44 | fc0e:d006:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | fc0e:d006:590::/44 | fc0e:d006:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | fc0e:d006:5a0::/44 | fc0e:d006:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | fc0e:d006:5b0::/44 | fc0e:d006:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | fc0e:d006:5c0::/44 | fc0e:d006:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | fc0e:d006:5d0::/44 | fc0e:d006:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | fc0e:d006:5e0::/44 | fc0e:d006:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | fc0e:d006:5f0::/44 | fc0e:d006:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc0e:d006:600::/44 | fc0e:d006:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | fc0e:d006:610::/44 | fc0e:d006:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | fc0e:d006:620::/44 | fc0e:d006:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | fc0e:d006:630::/44 | fc0e:d006:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | fc0e:d006:640::/44 | fc0e:d006:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | fc0e:d006:650::/44 | fc0e:d006:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | fc0e:d006:660::/44 | fc0e:d006:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | fc0e:d006:670::/44 | fc0e:d006:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | fc0e:d006:680::/44 | fc0e:d006:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | fc0e:d006:690::/44 | fc0e:d006:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | fc0e:d006:6a0::/44 | fc0e:d006:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | fc0e:d006:6b0::/44 | fc0e:d006:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | fc0e:d006:6c0::/44 | fc0e:d006:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | fc0e:d006:6d0::/44 | fc0e:d006:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | fc0e:d006:6e0::/44 | fc0e:d006:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | fc0e:d006:6f0::/44 | fc0e:d006:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc0e:d006:700::/44 | fc0e:d006:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | fc0e:d006:710::/44 | fc0e:d006:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | fc0e:d006:720::/44 | fc0e:d006:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | fc0e:d006:730::/44 | fc0e:d006:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | fc0e:d006:740::/44 | fc0e:d006:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | fc0e:d006:750::/44 | fc0e:d006:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | fc0e:d006:760::/44 | fc0e:d006:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | fc0e:d006:770::/44 | fc0e:d006:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | fc0e:d006:780::/44 | fc0e:d006:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | fc0e:d006:790::/44 | fc0e:d006:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | fc0e:d006:7a0::/44 | fc0e:d006:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | fc0e:d006:7b0::/44 | fc0e:d006:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | fc0e:d006:7c0::/44 | fc0e:d006:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | fc0e:d006:7d0::/44 | fc0e:d006:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | fc0e:d006:7e0::/44 | fc0e:d006:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | fc0e:d006:7f0::/44 | fc0e:d006:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc0e:d006:800::/44 | fc0e:d006:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | fc0e:d006:810::/44 | fc0e:d006:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | fc0e:d006:820::/44 | fc0e:d006:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | fc0e:d006:830::/44 | fc0e:d006:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | fc0e:d006:840::/44 | fc0e:d006:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | fc0e:d006:850::/44 | fc0e:d006:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | fc0e:d006:860::/44 | fc0e:d006:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | fc0e:d006:870::/44 | fc0e:d006:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | fc0e:d006:880::/44 | fc0e:d006:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | fc0e:d006:890::/44 | fc0e:d006:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | fc0e:d006:8a0::/44 | fc0e:d006:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | fc0e:d006:8b0::/44 | fc0e:d006:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | fc0e:d006:8c0::/44 | fc0e:d006:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | fc0e:d006:8d0::/44 | fc0e:d006:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | fc0e:d006:8e0::/44 | fc0e:d006:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | fc0e:d006:8f0::/44 | fc0e:d006:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc0e:d006:900::/44 | fc0e:d006:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | fc0e:d006:910::/44 | fc0e:d006:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | fc0e:d006:920::/44 | fc0e:d006:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | fc0e:d006:930::/44 | fc0e:d006:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | fc0e:d006:940::/44 | fc0e:d006:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | fc0e:d006:950::/44 | fc0e:d006:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | fc0e:d006:960::/44 | fc0e:d006:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | fc0e:d006:970::/44 | fc0e:d006:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | fc0e:d006:980::/44 | fc0e:d006:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | fc0e:d006:990::/44 | fc0e:d006:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | fc0e:d006:9a0::/44 | fc0e:d006:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | fc0e:d006:9b0::/44 | fc0e:d006:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | fc0e:d006:9c0::/44 | fc0e:d006:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | fc0e:d006:9d0::/44 | fc0e:d006:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | fc0e:d006:9e0::/44 | fc0e:d006:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | fc0e:d006:9f0::/44 | fc0e:d006:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc0e:d006:a00::/44 | fc0e:d006:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | fc0e:d006:a10::/44 | fc0e:d006:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | fc0e:d006:a20::/44 | fc0e:d006:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | fc0e:d006:a30::/44 | fc0e:d006:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | fc0e:d006:a40::/44 | fc0e:d006:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | fc0e:d006:a50::/44 | fc0e:d006:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | fc0e:d006:a60::/44 | fc0e:d006:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | fc0e:d006:a70::/44 | fc0e:d006:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | fc0e:d006:a80::/44 | fc0e:d006:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | fc0e:d006:a90::/44 | fc0e:d006:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | fc0e:d006:aa0::/44 | fc0e:d006:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | fc0e:d006:ab0::/44 | fc0e:d006:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | fc0e:d006:ac0::/44 | fc0e:d006:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | fc0e:d006:ad0::/44 | fc0e:d006:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | fc0e:d006:ae0::/44 | fc0e:d006:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | fc0e:d006:af0::/44 | fc0e:d006:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc0e:d006:b00::/44 | fc0e:d006:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | fc0e:d006:b10::/44 | fc0e:d006:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | fc0e:d006:b20::/44 | fc0e:d006:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | fc0e:d006:b30::/44 | fc0e:d006:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | fc0e:d006:b40::/44 | fc0e:d006:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | fc0e:d006:b50::/44 | fc0e:d006:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | fc0e:d006:b60::/44 | fc0e:d006:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | fc0e:d006:b70::/44 | fc0e:d006:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | fc0e:d006:b80::/44 | fc0e:d006:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | fc0e:d006:b90::/44 | fc0e:d006:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | fc0e:d006:ba0::/44 | fc0e:d006:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | fc0e:d006:bb0::/44 | fc0e:d006:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | fc0e:d006:bc0::/44 | fc0e:d006:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | fc0e:d006:bd0::/44 | fc0e:d006:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | fc0e:d006:be0::/44 | fc0e:d006:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | fc0e:d006:bf0::/44 | fc0e:d006:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc0e:d006:c00::/44 | fc0e:d006:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | fc0e:d006:c10::/44 | fc0e:d006:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | fc0e:d006:c20::/44 | fc0e:d006:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | fc0e:d006:c30::/44 | fc0e:d006:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | fc0e:d006:c40::/44 | fc0e:d006:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | fc0e:d006:c50::/44 | fc0e:d006:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | fc0e:d006:c60::/44 | fc0e:d006:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | fc0e:d006:c70::/44 | fc0e:d006:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | fc0e:d006:c80::/44 | fc0e:d006:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | fc0e:d006:c90::/44 | fc0e:d006:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | fc0e:d006:ca0::/44 | fc0e:d006:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | fc0e:d006:cb0::/44 | fc0e:d006:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | fc0e:d006:cc0::/44 | fc0e:d006:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | fc0e:d006:cd0::/44 | fc0e:d006:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | fc0e:d006:ce0::/44 | fc0e:d006:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | fc0e:d006:cf0::/44 | fc0e:d006:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc0e:d006:d00::/44 | fc0e:d006:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | fc0e:d006:d10::/44 | fc0e:d006:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | fc0e:d006:d20::/44 | fc0e:d006:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | fc0e:d006:d30::/44 | fc0e:d006:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | fc0e:d006:d40::/44 | fc0e:d006:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | fc0e:d006:d50::/44 | fc0e:d006:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | fc0e:d006:d60::/44 | fc0e:d006:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | fc0e:d006:d70::/44 | fc0e:d006:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | fc0e:d006:d80::/44 | fc0e:d006:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | fc0e:d006:d90::/44 | fc0e:d006:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | fc0e:d006:da0::/44 | fc0e:d006:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | fc0e:d006:db0::/44 | fc0e:d006:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | fc0e:d006:dc0::/44 | fc0e:d006:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | fc0e:d006:dd0::/44 | fc0e:d006:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | fc0e:d006:de0::/44 | fc0e:d006:def:ffff:ffff:ffff:ffff:ffff |
| 224 | fc0e:d006:df0::/44 | fc0e:d006:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc0e:d006:e00::/44 | fc0e:d006:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | fc0e:d006:e10::/44 | fc0e:d006:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | fc0e:d006:e20::/44 | fc0e:d006:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | fc0e:d006:e30::/44 | fc0e:d006:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | fc0e:d006:e40::/44 | fc0e:d006:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | fc0e:d006:e50::/44 | fc0e:d006:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | fc0e:d006:e60::/44 | fc0e:d006:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | fc0e:d006:e70::/44 | fc0e:d006:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | fc0e:d006:e80::/44 | fc0e:d006:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | fc0e:d006:e90::/44 | fc0e:d006:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | fc0e:d006:ea0::/44 | fc0e:d006:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | fc0e:d006:eb0::/44 | fc0e:d006:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | fc0e:d006:ec0::/44 | fc0e:d006:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | fc0e:d006:ed0::/44 | fc0e:d006:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | fc0e:d006:ee0::/44 | fc0e:d006:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | fc0e:d006:ef0::/44 | fc0e:d006:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc0e:d006:f00::/44 | fc0e:d006:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | fc0e:d006:f10::/44 | fc0e:d006:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | fc0e:d006:f20::/44 | fc0e:d006:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | fc0e:d006:f30::/44 | fc0e:d006:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | fc0e:d006:f40::/44 | fc0e:d006:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | fc0e:d006:f50::/44 | fc0e:d006:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | fc0e:d006:f60::/44 | fc0e:d006:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | fc0e:d006:f70::/44 | fc0e:d006:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | fc0e:d006:f80::/44 | fc0e:d006:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | fc0e:d006:f90::/44 | fc0e:d006:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | fc0e:d006:fa0::/44 | fc0e:d006:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | fc0e:d006:fb0::/44 | fc0e:d006:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | fc0e:d006:fc0::/44 | fc0e:d006:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | fc0e:d006:fd0::/44 | fc0e:d006:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | fc0e:d006:fe0::/44 | fc0e:d006:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | fc0e:d006:ff0::/44 | fc0e:d006:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |